# $Revision: 1.67 $, $Date: 2010/09/03 10:06:03 $
#
# TODO: some unpackaged libs, should we pack them as ghosts?
#
%bcond_without	tests
Summary:	Arbitrary precision calculator
Summary(pl.UTF-8):	Kalkulator operujący na liczbach z dowolną dokładnością
Name:		calc
Version:	2.12.4.3
Release:	1
License:	LGPL v2.1+
Group:		Applications/Math
Source0:	http://www.isthe.com/chongo/src/calc/%{name}-%{version}.tar.bz2
# Source0-md5:	d95dccde71cc8d920af0f8375e85e9c8
Source1:	%{name}.desktop
Patch0:		%{name}-ppc.patch
URL:		http://www.isthe.com/chongo/tech/comp/calc/
BuildRequires:	readline-devel >= 4.2
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Calc is arbitrary precision arithmetic system that uses a C-like
language. Calc is useful as a calculator, an algorithm prototyped and
as a mathematical research tool. It comes with a rich set of
mathematical, programmatic and stdio functions.

%description -l pl.UTF-8
Calc jest systemem arytmetycznym o nieograniczonej dokładności,
używającym języka podobnego do C. Calc jest przydatny jako kalkulator,
narzędzie do testowania algorytmów i do badań matematycznych. Do
samego programu dołączony jest bogaty zestaw funkcji bibliotecznych -
matematycznych, programistycznych i funkcji wejścia/wyjścia

%package devel
Summary:	Calc header files and static libraries
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteki statyczne Calca
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	calc-static

%description devel
These header files and static libraries are neccessary to build
programs using Calc math libraries. These libraries contain a set of
Calc functions to use in other applications.

%description devel -l pl.UTF-8
Te pliki nagłówkowe i biblioteki statyczne są niezbędne przy budowaniu
programów wykorzystujących biblioteki matematyczne Calca. Biblioteki
te zawierające zbiór funkcji Calca do wykorzystania we własnych
programach.

%prep
%setup -q
%patch0 -p1

%build
%{__make} -j1 \
	LCC="%{__cc}" \
	DEBUG="%{rpmcflags}" \
	USE_READLINE=-DUSE_READLINE \
	READLINE_LIB="-lreadline -lhistory" \
	READLINE_INCLUDE=%{_includedir} \
	SCRIPTDIR=%{_datadir}/calc/cscript

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	LIBDIR=%{_libdir} \
	T=$RPM_BUILD_ROOT \
	SCRIPTDIR=%{_datadir}/calc/cscript

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

rm -f $RPM_BUILD_ROOT%{_datadir}/calc/README

find $RPM_BUILD_ROOT%{_datadir}/calc -type f | \
       xargs %{__sed} -i -e 's|#!/usr/local/bin/calc|#!%{_bindir}/calc|g'

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING is not just LGPL text, only some explanations
%doc BUGS CHANGES COPYING README
%attr(755,root,root) %{_bindir}/calc
%attr(755,root,root) %{_libdir}/libcalc.so.*.*.*.*
%attr(755,root,root) %{_libdir}/libcustcalc.so.*.*.*.*
%{_datadir}/calc
%{_desktopdir}/calc.desktop
%{_mandir}/man1/calc.1*

%files devel
%defattr(644,root,root,755)
%doc LIBRARY
%attr(755,root,root) %{_libdir}/libcalc.so
%attr(755,root,root) %{_libdir}/libcustcalc.so
%{_includedir}/calc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: calc.spec,v $
Revision 1.67  2010/09/03 10:06:03  lisu
- 2.12.4.3

Revision 1.66  2009/03/08 15:43:41  arekm
- rel 3

Revision 1.65  2009/03/08 11:00:40  arekm
- make check for tests

Revision 1.64  2009/03/08 10:58:18  arekm
- run test suite

Revision 1.63  2009/03/08 10:33:39  paszczus
- added calc-ppc.patch; rel 2.1 for tests

Revision 1.62  2009/02/23 22:04:10  arekm
- release 2

Revision 1.61  2008/10/24 12:06:37  paszczus
- updated to 2.12.4.0

Revision 1.60  2008-05-10 16:47:40  lisu
- 2.12.3.3

Revision 1.59  2008-04-27 11:26:28  lisu
- 2.12.3.1
- TODO

Revision 1.58  2008-03-26 16:26:25  lisu
- 2.12.3.0

Revision 1.57  2007-10-16 17:09:28  lisu
- 2.12.2.2

Revision 1.56  2007/10/09 20:44:54  qboosh
- ldconfig

Revision 1.55  2007/10/09 20:44:33  qboosh
- fixed build with lib64
- more verbose files

Revision 1.54  2007/09/28 22:16:07  lisu
- 2.12.2.1
- switch to shared libs (no static libraries)

Revision 1.53  2007/02/24 00:50:19  arekm
- up to 2.12.1.13

Revision 1.52  2007/02/13 16:04:25  lisu
- 2.12.1.12

Revision 1.51  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.50  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.49  2007/02/11 16:44:08  lisu
- 2.12.1.11

Revision 1.48  2007/02/10 14:41:29  lisu
- 2.12.1.10

Revision 1.47  2007/01/13 23:57:43  lisu
- 2.12.1.6

Revision 1.46  2006/11/07 22:22:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.45  2006/09/26 07:50:43  lisu
- 2.12.1.5

Revision 1.44  2006/08/22 21:36:08  shadzik
- 2.12.0.8 by Michał "lisu" Lisowski <lisu87@gmail.com>

Revision 1.43  2006/07/30 11:22:41  darekr
- updated to 2.12.0.6 from <lisu87@gmail.com>

Revision 1.42  2006/05/31 10:07:35  darekr
- updated to 2.12.0.1

Revision 1.41  2005/12/17 10:35:50  darekr
- updated to 2.11.11
- pass LCC="%{__cc}"

Revision 1.40  2005/09/17 10:54:14  arekm
- readline 5.0

Revision 1.39  2005/05/28 01:05:01  zbyniu
- BR: perl-base

Revision 1.38  2004/10/23 12:24:30  paszczus
- updated to 2.11.10.1

Revision 1.37  2004/09/17 01:18:21  tommat
- version 2.11.10
- no parallel build

Revision 1.36  2004/07/04 00:31:48  havner
- applnk -> vfolders

Revision 1.35  2004/03/08 15:35:30  domelu
- updated to 2.11.9.3

Revision 1.34  2004/01/13 14:06:30  qboosh
- URL fix

Revision 1.33  2004/01/13 14:04:12  domelu
- added URL

Revision 1.32  2003/09/17 12:50:01  domelu
- update to 2.11.8.1

Revision 1.31  2003/08/06 16:39:59  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.30  2003/06/13 08:39:05  qboosh
- fixed optflags passing (removed unnecessary Makefile patch)
- simplified install (DESTDIR is supported, but named T)
- moved base docs to base, merged -static into -devel (no shared libs for now)
- release 1

Revision 1.29  2003/06/12 21:09:47  radzio
- updated to 2.11.8
- rel 0.99 - build but there were errors in %install (with chmod and chown)
- please check if there are all necessary files in packages?

Revision 1.28  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 05:46:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2002/12/10 08:50:06  roman
- added calc.desktop to Scientific/Numerics applnk subdir
- changed Release from 3 to 4

Revision 1.25  2002/07/16 20:37:36  kloczek
- release 3.

Revision 1.24  2002/07/16 14:13:13  krolik
-cosmetics %doc section

Revision 1.23  2002/04/25 15:56:57  arturs
fixed a small typo

Revision 1.22  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/11 09:39:56  kloczek
- release 2: changed License to LGPL (notised by maintainer :)

Revision 1.19  2002/02/02 19:56:26  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.18  2002/01/18 02:12:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/10/03 16:44:45  filon
- use %{name} macro in req for devel

Revision 1.16  2001/05/07 16:04:04  baggins
- typo

Revision 1.15  2001/05/07 14:58:14  baggins
- replace /usr/local/bin to /usr/bin

Revision 1.14  2001/05/07 13:45:29  baggins
- updated to 2.11.5t3

Revision 1.13  2001/04/13 01:43:11  kloczek
- release 2,
- spec adapterized,
- added using %%{rpmcflags} macro,
- rebuild against readline 4.2.

Revision 1.12  2000/09/04 19:34:19  kloczek
- updated to 2.11.2t1.0.

Revision 1.11  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.9  2000/04/19 23:45:13  kravietz
- fixed a typo (devl instead of devel) in Requires

Revision 1.8  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.6  2000/03/23 14:43:20  kloczek
- release 2,
- rebuild agains readline 4.1.

Revision 1.5  2000/02/28 18:42:09  kloczek
- fixed two typos.

Revision 1.4  2000/02/28 17:06:08  kloczek
- typo.

Revision 1.3  2000/02/28 16:46:41  kloczek
- some cosmetics,
- removed %%{_datadir}/calc/README (included to %doc files list).

Revision 1.2  2000/02/28 14:00:03  zagrodzki
- added missing %doc

Revision 1.1  2000/02/28 13:52:26  zagrodzki
- initial release
